Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596761 - Ctrl-\ causes guestfish to abort
Summary: Ctrl-\ causes guestfish to abort
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 13:20 UTC by Matthew Booth
Modified: 2012-01-04 12:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-04 12:48:05 UTC


Attachments (Terms of Use)

Description Matthew Booth 2010-05-27 13:20:23 UTC
Description of problem:
If the user types Ctrl-\ at the guestfish prompt, guestfish will immediately abort:

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help with commands
      'quit' to quit the shell

><fs> sh: line 1: 21525 Quit                    guestfish $a

While this key combination is apparently intended to cause the process which currently has control of the terminal to abort, this is surprising behaviour in an interactive shell. I suggest it should be ignored.

Version-Release number of selected component (if applicable):
libguestfs-1.2.7-1.el5.1

Comment 1 Richard W.M. Jones 2011-07-12 09:29:11 UTC
Reassigning to upstream.

Comment 2 Wanlong Gao 2011-12-28 10:04:28 UTC
sent patch to upstream:
https://www.redhat.com/archives/libguestfs/2011-December/msg00201.html

Comment 4 Richard W.M. Jones 2012-01-04 12:48:05 UTC
Applied, let's close this, thanks.


Note You need to log in before you can comment on or make changes to this bug.